# -*- coding: utf-8 -*-
"""
Created on Tue Oct 10 09:14:28 2023

@author: vlandgraf
"""
import general_AF_structure_analysis
import pickle as pkl 

        
a,b,c = general_AF_structure_analysis.finding_all_combos(['S','N'])


def return_type_of_jump(length_1, length_2): 
    if length_1==length_2:
        return 'tet-tet'
    elif length_1>length_2: 
        return 'oct-tet'
    else:
        return 'tet-oct'

tmp_dict = {}
for k in a: 
    details = k.split('-')
    BN = details[-1]
    jump_type = return_type_of_jump(len(details[0]), len(details[1]))
    tmp_dict[k] =  {'activation_energies':[], 'average_ea':[], 'error_in_ea': [], 'jump_type': jump_type, 'BN': BN}
    



with open('jump_lib_LSN_template.pkl', 'wb') as h: 
    pkl.dump(tmp_dict, h)